complexType "InterestStatus"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 14 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, issuerPartyReference?, receiverPartyReference?, creditSupportAgreement?, ((variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount), party*, account*
</...>

Content Model Elements (14):

  account, correlationId, creditSupportAgreement (in interestStatus), header (defined in ResponseMessage complexType), issuerPartyReference (in interestStatus), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), receiverPartyReference (in interestStatus), segregatedIndependentAmount (in interestStatus), segregatedIndependentAmount (in interestStatus), sequenceNumber (defined in Sequence.model group), validation, variationMargin (in interestStatus)

All Direct / Indirect Based Elements (1):

  interestStatus

Known Usage Locations

- As direct type of elements (1):
  interestStatus

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) InterestStatus

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="InterestStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/> <xsd:group ref="InterestResponseDetails.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/14)
creditSupportAgreement

  Type: | CreditSupportAgreement, complex content

  The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/>

issuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the interest notification.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"/>

receiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the interest notification.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.